From f315046e75f2483fe9ad9f3cbbe82c96773ab391 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Gabriel=20Silva=20Sim=C3=B5es?= <simoes.sgabriel@gmail.com>
Date: Sun, 23 Jun 2019 12:29:33 -0300
Subject: [PATCH] alacritty: update to 0.3.3

---
 srcpkgs/alacritty/INSTALL  |  2 +-
 srcpkgs/alacritty/REMOVE   |  2 +-
 srcpkgs/alacritty/template | 21 +++++++++++++--------
 3 files changed, 15 insertions(+), 10 deletions(-)

diff --git a/srcpkgs/alacritty/INSTALL b/srcpkgs/alacritty/INSTALL
index 9111e31e411..71e12214794 100644
--- a/srcpkgs/alacritty/INSTALL
+++ b/srcpkgs/alacritty/INSTALL
@@ -1,6 +1,6 @@
 case "$ACTION" in
 post)
 	# Compile the terminfo description.
-	tic -sx usr/share/terminfo/a/alacritty.info
+	tic -xe alacritty,alacritty-direct usr/share/terminfo/a/alacritty.info
 	;;
 esac
diff --git a/srcpkgs/alacritty/REMOVE b/srcpkgs/alacritty/REMOVE
index e4fd286bdb4..572df4e79ba 100644
--- a/srcpkgs/alacritty/REMOVE
+++ b/srcpkgs/alacritty/REMOVE
@@ -1,7 +1,7 @@
 case "$ACTION" in
 pre)
 	# Remove compiled terminfo files.
-	rm -f usr/share/terminfo/a/alacritty-256color
 	rm -f usr/share/terminfo/a/alacritty
+	rm -f usr/share/terminfo/a/alacritty-direct
 	;;
 esac
diff --git a/srcpkgs/alacritty/template b/srcpkgs/alacritty/template
index 0601c94eed3..67b41372c0a 100644
--- a/srcpkgs/alacritty/template
+++ b/srcpkgs/alacritty/template
@@ -1,25 +1,30 @@
 # Template file for 'alacritty'
 pkgname=alacritty
-version=0.3.2
-revision=3
+version=0.3.3
+revision=1
 build_style=cargo
-hostmakedepends="pkg-config"
-makedepends="freetype-devel fontconfig-devel"
-depends="libXxf86vm xclip ncurses alacritty-terminfo-${version}_${revision}"
+hostmakedepends="pkg-config python3"
+makedepends="freetype-devel fontconfig-devel libxcb-devel"
+depends="libXxf86vm ncurses alacritty-terminfo-${version}_${revision}"
 short_desc="Cross-platform, GPU-accelerated terminal emulator"
 maintainer="Andrea Brancaleoni <abc@pompel.me>"
 license="Apache-2.0"
 homepage="https://github.com/jwilm/${pkgname}"
 changelog="https://raw.githubusercontent.com/jwilm/${pkgname}/v${version}/CHANGELOG.md"
 distfiles="https://github.com/jwilm/${pkgname}/archive/v${version}.tar.gz"
-checksum=e2bc5323d505d9d487b2fdfc29f82a77e18b17f92de3988742950471808272f7
+checksum=f5af7e0d143bd2b89f029ad3e3d000d3ceb9922fbf189f7cfe3a59c9626d4519
+
+do_install() {
+	cargo install --path ${pkgname} --target ${RUST_TARGET} --root="${DESTDIR}/usr"
+	rm "${DESTDIR}"/usr/.crates.toml
+}
 
 post_install() {
 	vinstall extra/linux/alacritty.desktop 644 usr/share/applications
+	vinstall extra/logo/alacritty-term.svg 644 usr/share/pixmaps Alacritty.svg
+	vinstall extra/completions/alacritty.bash 644 usr/share/bash-completion/completions alacritty
 	vinstall extra/completions/_alacritty 644 usr/share/zsh/site-functions
-	vinstall extra/completions/alacritty.bash 644 usr/share/bash-completion/completions/alacritty
 	vinstall extra/completions/alacritty.fish 644 usr/share/fish/completions
-	vinstall extra/logo/alacritty-term.svg 644 usr/share/icons/hicolor/scalable/apps Alacritty.svg
 	vinstall extra/alacritty.info 644 usr/share/terminfo/a
 	vman extra/alacritty.man alacritty.1
 	vsconf alacritty.yml
